namespace ti_common.file {
    export interface IFileDialogs {
        openFile(title: string, filter: RegExp, fileType: string): angular.IPromise<ti_common.file.File[]>;
        openFile(title: string, extensions: string, fileType: string): angular.IPromise<ti_common.file.File[]>;
        saveFile(title: string, fileName: string, ext: string);
    }
}